#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	2.0
#-----------------------------------------------------------------------------
Name		:	librsvg
Version		:	2.59.2
Release		:	17.2.0.rel%{?dist}
Summary		:	High-level API for X Keyboard Extension
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/librsvg

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cairo-gobject-devel
BuildRequires	:	cargo
BuildRequires	:	cargo-c
BuildRequires	:	gi-docgen
BuildRequires	:	gi-docgen-doc
BuildRequires	:	libcroco
#BuildRequires	:	llvm-devel
BuildRequires	:	gdk-pixbuf
BuildRequires	:	gobject-introspection
BuildRequires	:	pango
BuildRequires	:	rustc
BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
A small library to render Scalable Vector Graphics (SVG),
associated with the GNOME Project.  It renders SVG files to
Cairo surfaces.  Cairo is the 2D, antialiased drawing library
that GNOME uses to draw things to the screen or to generat
output for printing.

#-----------------------------------------------------------------------------
#%files -f		librsvg.lang
%files 
%defattr(-,root,root,-)
%doc AUTHORS NEWS README.md 
%license COPYING.LIB
%{_libdir}/%{name}-*.so.*
%{_libdir}/gdk-pixbuf*/*/loaders/libpixbufloader_svg.so
%{_libdir}/girepository-1.0/*-%{majorver}.typelib
%{_datadir}/thumbnailers/%{name}.thumbnailer

#-----------------------------------------------------------------------------
%post
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

#=============================================================================
%package		devel
Summary		:	Libraries and include files for developing with librsvg

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}
 
#-----------------------------------------------------------------------------
%description		devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-*/%{name}/*.h
%{_libdir}/%{name}-*.so
%{_libdir}/pkgconfig/%{name}-*.pc
%{_datadir}/gir-1.0/*-%{majorver}.gir
%{_datadir}/vala/vapi/%{name}-%{majorver}.vapi
%{_datadir}/vala/vapi/%{name}-%{majorver}.deps
#{_datadir}/gtk-doc/html/rsvg-%{majorver}/*.{html,png}
#{_datadir}/gtk-doc/html/rsvg-%{majorver}/rsvg-%{majorver}.devhelp2
#{_datadir}/gtk-doc/html/rsvg-%{majorver}/style.css

#=============================================================================
%package		tools
Summary		:	Extra tools for librsvg

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}
 
#-----------------------------------------------------------------------------
%description		tools
This package provides extra utilities based on the librsvg library.

#-----------------------------------------------------------------------------
%files			tools
%defattr(-,root,root,-)
%{_bindir}/rsvg-convert
%{_mandir}/man1/rsvg-convert.1.gz

#=============================================================================
%prep
%setup -q

sed -i								\
  -e "/OUTDIR/s|,| / '%{name}-%{version}', '--no-namespace-dir',|"\
  -e "/output/s|Rsvg-2.0|%{name}-%{version}|"			\
  doc/meson.build

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D docs=enabled					\
	-D introspection=enabled			\
	-D tests=true					\
	-D vala=enabled					\
	_bld

meson	compile						\
	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)		\
	-C _bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
#check not successful
#meson	test						\
#	-C _bld						\
#	--print-errorlogs				\
#	--no-rebuild					\

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
	-C _bld						\
	--no-rebuild					\
	--destdir=%{buildroot}				\

# we install own docs
rm -vrf %{buildroot}%{_datadir}/doc

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#find_lang librsvg
#-----------------------------------------------------------------------------
%changelog
